/*
    ACM ICPC 2003-2004 NEERC

    Problem:    Data Mining
    Author:     Roman Elizarov
    Solution:   Roman Elizarov
*/

import java.util.*;
import java.io.*;

public class d_re {
	public static void main(String[] args) throws IOException {
		BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
		StringTokenizer st = new StringTokenizer(in.readLine());
		int n = Integer.parseInt(st.nextToken());
		long sp = Integer.parseInt(st.nextToken());
		long sq = Integer.parseInt(st.nextToken());
		in.close();

		int best_a = 0;
		int best_b = 0;
		long best_k = Long.MAX_VALUE;

		for (int a = 0; a <= 33; a++)
			for (int b = 0; b <= 100; b++)
				if (((sp + (sp << a)) >> b) >= sq) {
					long pofs = sp * (n - 1);
					long k = ((pofs + (pofs << a)) >> b) + sq;
					if (k < best_k) {
						// we could replace check with:
						// if (k < best_k || 
						//       k == best_k && a < best_a ||
						//       k == best_k && a == best_a && b == best_b)
						// ... but it works even with simpler checks!
						best_k = k;
						best_a = a;
						best_b = b;
					}
				}
		
		PrintWriter out = new PrintWriter(new OutputStreamWriter(System.out));
		out.println(best_k + " " + best_a + " " + best_b);
		out.close();
	}
}
